Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79102 - Broken hyphen-minus character in man pages in UTF-8 locale
Summary: Broken hyphen-minus character in man pages in UTF-8 locale
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: groff
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Mike McLean
URL: http://mail.nl.linux.org/linux-utf8/2...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-05 18:10 UTC by Markus Kuhn
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-05 18:10:23 UTC


Attachments (Terms of Use)

Description Markus Kuhn 2002-12-05 18:10:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
gnroff under RH80 translates the HYPHEN-MINUS character (U+002D) into a
Unicode HYPHEN (U+2010), which probabaly was not a good idea. As a
result, cut&pasting command line examples from man pages into xterm
leads to syntax errors.

Version-Release number of selected component (if applicable):
groff-1.18-6
man-1.5j-11
man-pages-1.53-1

How reproducible:
Always

Steps to Reproduce:
1. LC_CTYPE=en_GB.UTF-8 xterm
2. man ls
3. Cut & paste the displayed command line option "-a" into bash as part of the
command "ls -a"


Actual Results:  ls: -a: No such file or directory

Expected Results:  A directory listing

Additional info:

Other distributions like SuSE and Debian fixed this by adding the following to
man.local:

    .if '\*[.T]'utf8' \{\
    .  char \- \N'45'
    .  char  - \N'45'
    .\}

Related thread on linux-utf8:

  http://mail.nl.linux.org/linux-utf8/2002-12/msg00042.html
  http://mail.nl.linux.org/linux-utf8/2002-12/msg00091.html

Comment 1 Florian La Roche 2002-12-06 10:36:18 UTC
The Red Hat Linux rpm includes all debian changes and the current rawhide
rpm on top of groff-1.18.1 includes this change from debian. Recompiling
the rawhide rpm and using it on a RHL8 system should be no problem.

Thanks a lot,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.